<template>
  <LoadingLayout>
    <AppScrollContainer>
      <ProTabs v-model="state.tabType" hasBorder>
        <ProTabPane lazy label="保单信息" :name="InsureOrderTabType.InsureOrderInfo">
          <InsureOrderInfoView />
        </ProTabPane>
        <ProTabPane lazy label="批改记录" :name="InsureOrderTabType.BatchOrder">
          <BatchChangeRecordView />
        </ProTabPane>
      </ProTabs>
    </AppScrollContainer>
  </LoadingLayout>
</template>

<script setup lang="ts">
import { AppScrollContainer, ProTabs, ProTabPane } from '@bole-core/components';
import InsureOrderInfoView from './components/InsureOrderInfoView.vue';
import BatchChangeRecordView from './components/BatchChangeRecordView.vue';

defineOptions({
  name: 'InsuranceOrderDetail',
});

enum InsureOrderTabType {
  InsureOrderInfo = 1,
  BatchOrder = 2,
}

const state = reactive({
  activeIndex: 1,
  tabType: InsureOrderTabType.InsureOrderInfo,
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
